Bug 1269245 - let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-06 15:16 EDT by Terje Røsten
Modified: 2016-07-19 14:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1287469 (view as bug list)
Last Closed: 2016-07-19 14:07:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to sync /etc/logrotate.d/syslog (1.44 KB, patch)
2015-10-06 15:18 EDT, Terje Røsten
no flags Details | Diff

  None (edit)
Description Terje Røsten 2015-10-06 15:16:22 EDT
Description of problem:

syslog-ng and rsyslog both wants to install the file:

To be able to have both excellent loggers installed at the same time
this file must be identical.

I have sent a request to rsyslog package:


to change their version of /etc/logrotate.d/syslog such that syslog-ng
also can use the file unmodified.

Attached is a patch to change /etc/logrotate.d/syslog in syslog-ng
to the same version, this way users of both packages will be happy.

Setup has been tested, install both rsyslog and syslog-ng is now possible, make
it very easy to switch between loggers as users may want. 
Logrotate works as before.

Please apply attached patch.
Comment 1 Terje Røsten 2015-10-06 15:18 EDT
Created attachment 1080355 [details]
Patch to sync /etc/logrotate.d/syslog
Comment 2 Terje Røsten 2015-12-02 14:57:57 EST

Two months to apply a simple fix?

More fun added: this issue now crashes Fedora 23 installer:

Comment 3 Matthias Runge 2015-12-02 16:31:57 EST
The approach here seems sensible to me, the change is small.
Comment 4 Fedora End Of Life 2016-07-19 14:07:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.